Skip to main content
GET
/
integrations
/
{integrationId}
/
resource-kinds
/
{resourceKind}
Get details for resource kind
curl --request GET \
  --url https://api.vanta.com/v1/integrations/{integrationId}/resource-kinds/{resourceKind} \
  --header 'Authorization: Bearer <token>'
{
  "integrationId": "asana",
  "resourceKind": "AsanaAccount",
  "isScopable": true,
  "canUpdateDescription": true,
  "canUpdateOwner": true,
  "numResources": 123,
  "numInScope": 100,
  "numOwned": 100,
  "numWithDescription": 100
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

integrationId
string
required

Unique identifier of the integration.

resourceKind
string
required

Unique identifier of the integration resource kind.

Query Parameters

connectionId
string

Unique identifier of the integration connection.

Response

200 - application/json

Ok

integrationId
string
required

The unique identifier for the Integration that ingests this resource.

resourceKind
string
required

The identifier for the resource type, unique within the scope of an Integration.

isScopable
boolean
required

Whether resources of this type may be scoped out of an audit.

canUpdateDescription
boolean
required

Whether resources of this type may be assigned a description.

canUpdateOwner
boolean
required

Whether resources of this type may be assigned an owner.

numResources
integer<int32>
required

The count of resources of the given type.

Required range: x >= 0
numInScope
integer<int32>
required

The count of resources of the given type that are in scope for audits.

Required range: x >= 0
numOwned
integer<int32>
required

The count of resources of the given type that have been assigned an owner in Vanta.

Required range: x >= 0
numWithDescription
integer<int32>
required

The count of resources of the given type that have been given a description in Vanta.

Required range: x >= 0